For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch invoice templates
      • POSTCreate
      • GETGet
      • POSTUpdate
      • DELDelete
        • POSTAdd Approver
        • POSTApprove
        • POSTReject
Logo
Sign inBook a demo
API ReferenceInvoice TemplateApproval

Approve

POST
https://api.mercoa.com/invoice-template/:invoiceTemplateId/approve
POST
/invoice-template/:invoiceTemplateId/approve
$curl -X POST https://api.mercoa.com/invoice-template/invt_13c07096-5848-4aeb-ae7d-6576289034c4/approve \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "userId": "user_e24fc81c-c5ee-47e8-af42-4fe29d895506",
> "text": "This is a reason for my action"
>}'
Was this page helpful?
Previous

Reject

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invoiceTemplateIdstringRequired
Invoice Template ID

Request

This endpoint expects an object.
userIdstringRequired
The ID or the Foreign ID of the user
textstringOptional
Comment associated with this approval action.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented